Package icyllis.arc3d.granite

# Class CommonDepthStencilSettings

java.lang.Object
icyllis.arc3d.granite.CommonDepthStencilSettings

public final class CommonDepthStencilSettings extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DepthStencilSettings.Face`
  `kDecrementCCW`
  `static final DepthStencilSettings`
  `kDirectDepthGEqualPass`
  `static final DepthStencilSettings`
  `kDirectDepthGreaterPass`
  `static final DepthStencilSettings`
  `kEvenOddStencilPass`
  `static final DepthStencilSettings.Face`
  `kIncrementCW`
  `static final DepthStencilSettings`
  `kInverseCoverPass`
  `static final DepthStencilSettings.Face`
  `kPassNonZero`
  `static final DepthStencilSettings.Face`
  `kPassZero`
  `static final DepthStencilSettings`
  `kRegularCoverPass`
  `static final DepthStencilSettings.Face`
  `kToggle`
  `static final DepthStencilSettings`
  `kWindingStencilPass`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonDepthStencilSettings()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kDirectDepthGreaterPass

    public static final DepthStencilSettings kDirectDepthGreaterPass

  - ### kDirectDepthGEqualPass

    public static final DepthStencilSettings kDirectDepthGEqualPass

  - ### kIncrementCW

    public static final DepthStencilSettings.Face kIncrementCW

  - ### kDecrementCCW

    public static final DepthStencilSettings.Face kDecrementCCW

  - ### kToggle

    public static final DepthStencilSettings.Face kToggle

  - ### kWindingStencilPass

    public static final DepthStencilSettings kWindingStencilPass

  - ### kEvenOddStencilPass

    public static final DepthStencilSettings kEvenOddStencilPass

  - ### kPassNonZero

    public static final DepthStencilSettings.Face kPassNonZero

  - ### kPassZero

    public static final DepthStencilSettings.Face kPassZero

  - ### kRegularCoverPass

    public static final DepthStencilSettings kRegularCoverPass

  - ### kInverseCoverPass

    public static final DepthStencilSettings kInverseCoverPass

- ## Constructor Details

  - ### CommonDepthStencilSettings

    public CommonDepthStencilSettings()